<?php
/*
 */
include "entete.inc.php";
include "ihm.inc.php";
include "firefox.inc.php";

if (have_right($config, "se3_is_admin")) {
    $action = $_POST['valider'] ?? "";
    $suppr = $_POST['suppr'] ?? "";
    /**
     * Si on a ajouté modifié ou supprimé un lien
     */
    $json = ff_import_policy($config, "", 'linux', false);
    if (! empty($action) || ! empty($suppr)) {
        if (! empty($_POST['Homepage'])) {
            $json['policies']['Homepage'] = [
                'URL' => $_POST['Homepage'],
                "Locked" => true,
                "StartPage" => "homepage"
            ];
        }
        /**
         * Suppression d'un lien
         */
        if (is_array($suppr)) {
            foreach ($suppr as $key => $value) {
                unset($_POST['Title'][$key]);
            }
        }
        /**
         * Ajout ou modif
         */
        unset($json['policies']['Bookmarks']);
        foreach ($_POST['Title'] as $key => $value) {
            if (! empty($value)) {
                $json['policies']['Bookmarks'][] = [
                    'Title' => $value,
                    'URL' => $_POST['URL'][$key],
                    'Folder' => $_POST['Folder'][$key],
                    "Placement" => "toolbar"
                ];
            }
        }
        ff_export_policy($config, $json, "/etc/sambaedu/applications/firefox/default.json");
    }
    print ff_form_policy($config, $json);
    // echo "<pre>" . print_r($policy, true) . "</pre>";
} else {
    print(gettext("Vous n'avez pas les droits n&#233;cessaires pour ouvrir cette page..."));
}

// Footer
include ("pdp.inc.php");
?>
