<?php
function read_gpei_xml($config, $gpei){
    $xml = new DOMDocument();
    $xml->formatOutput = false;
    $xml->preserveWhiteSpace = false;
    $xml->loadXML($gpei);
    $xpath = new DOMXPath($xml);
    
    // Vintage
    
    if ($key = $xpath->query("/ficAlimMENESR/addRequest/operationalAttributes/attr[@name='EtabEducNat']"))
        $key[0]->setAttribute('value', $config['proxy_url'] . ";<local>");
        if ($key = $xpath->query("/InternetSettings/IE8/Properties/Reg[@name='AutoConfigURL']"))
            $key[0]->setAttribute('value', $config['proxy_autoconfigurl']);
            if ($key = $xpath->query("/InternetSettings/IE8/Properties/Reg[@name='ProxyEnable']"))
                $key[0]->setAttribute('value', $config['proxy_enable']);
                if ($key = $xpath->query("/InternetSettings/IE8/Properties/Reg[@name='ProxyServer']"))
                    $key[0]->setAttribute('value', $config['proxy_server']);
                    // if ($key = $xpath->query("/InternetSettings/IE8/Properties/Reg[@name='AutoDetect']"))
                    // $key[0]->setAttribute('value', $config['proxy_auto']);
                    
                    if ($key = $xpath->query("/InternetSettings/IE10/Properties/Reg[@name='ProxyOverride']"))
                        $key[0]->setAttribute('value', $config['proxy_url'] . ";<local>");
                        
                        if ($key = $xpath->query("/InternetSettings/IE10/Properties/Reg[@name='AutoConfigURL']"))
                            $key[0]->setAttribute('value', $config['proxy_autoconfigurl']);
                            if ($key = $xpath->query("/InternetSettings/IE10/Properties/Reg[@name='ProxyEnable']"))
                                $key[0]->setAttribute('value', $config['proxy_enable']);
                                if ($key = $xpath->query("/InternetSettings/IE10/Properties/Reg[@name='ProxyServer']"))
                                    $key[0]->setAttribute('value', $config['proxy_server']);
                                    if ($key = $xpath->query("/InternetSettings/IE10/Properties/Reg[@name='AutoDetect']"))
                                        $key[0]->setAttribute('value', $config['proxy_auto']);
                                        
                                        return $xml->saveXML();
}

?>