<?php
/**

 * rafraichissement des partages cloud

 * @Projet SambaEdu

 * @auteurs denis bonnenfant

 * @Licence Distribue selon les termes de la licence GPL
 *
 *  
 */
require_once "entete.inc.php";
include "ihm.inc.php";
require_once ("ldap.inc.php");
require "cloud.inc.php";

require_once ("lang.inc.php");
$end = false;
$action = $_POST['action'] ?? $_GET['action'] ?? "commit";
$session = $_POST['lock'] ?? "";
$clean = $_POST['clean'] ?? 0;

if (have_right($config, "Annu_is_admin")) {
    echo "<h1>Rafraichissement des partages</h1><br>\n";
    // echo refresh_page($page);
    $page = "rep_cloud.php#end";
    echo "<FORM name=\"partages\" enctype=\"multipart/form-data\" action=\"" . $page . "\" method=\"post\">\n";
    if (empty($session)) {
        // nouvel import
        $session = session_id();
    }
    $lock = apcu_fetch('partage_lock');
    if (empty($lock) || $action == "force") {
        echo "suppression du verrou<br>";
        $session = session_id();
        apcu_store('partages_lock', $session);
        $lock = $session;
    }
    if ($lock != $session) {
        echo "session : " . $session . " lock :  " . $lock . "<br>";
        echo "Un rafraichissement est déjà en cours, ou a été interrompu avant d'être fini. Vous pouvez recommencer plus tard, ou le forcer.<br>\n";
        echo "<input type=\"hidden\" name=\"lock\" value=\"" . $session . "\">";
        echo form_partages_next("force");
    } else {
        apcu_store('partage_lock', $session);
        echo "<input type=\"hidden\" name=\"lock\" value=\"" . $session . "\">";
        switch ($action){
        case "force": 
            apcu_delete('partages');
            apcu_delete('partages_html');
            echo form_partages_next("commit");
        break;
        case "clean":
            $clean = 1;
            echo "<input type=\"hidden\" name=\"clean\" value=\"1\">";
        case "commit":    
            $html = apcu_fetch('partages_html') ?? "";
            $end = update_nc_partages($config, $html, $clean);
            apcu_store('partages_html', $html);
            echo $html;
            if ($end) {
                apcu_delete('partages_lock');
                apcu_delete('partages_html');
                echo form_partages_next("commit");
            } else {
                echo form_partages_next("commit");
            }
        break;
        }
        echo "</form>";
        echo "<a id=\"end\"></a>";
        if ($end) {
            echo "<b> rafraichissement terminé </b>";
            apcu_delete('partages_lock');
            apcu_delete('partages');
        } elseif ($action == "commit") {
            echo "<script type=\"text/javascript\">";
            echo "var wait = setTimeout(document.partages.submit(), 29000)";
            echo "</script>";
        }
    }
}
include ("pdp.inc.php");
?>
