<?php
include ("config.inc.php");
include ("ldap.inc.php");
include ("stats_libsql.php");

if (isauth() == "")
{
    die("Authentifiez-vous pour accéder à cette fonction");
}

if (! have_right($config, "computer_is_admin")) {
    die("Droits insufisants pour accéder à cette fonction");
}

header("Content-Type: image/png");

$nb_creneau=11;
$hr_debut=8;
$nb_jour=6;
$startx=50;
$starty=60;
$hauteur_qh=6;
$largeur_jr=100;
$largeur_chr=5;
$largeur_chr2=8;
$jour=array("Dimanche","Lundi","Mardi","Mercredi","Jeudi","Vendredi","Samedi");

if (isset($_GET['netbios_name']))
    $netbios_name = $_GET['netbios_name'];
else
    $netbios_name = "";

if (isset($_GET['date_start']))
    $date_start = $_GET['date_start'];
else
    $date_start = date("Y-m-d", mktime(0, 0, 0, date("m")  , date("d")-7, date("Y")));
$date_day=date("w",strtotime($date_start));
$date_start=date("Y-m-d",strtotime($date_start)-($date_day-1)*86400);

if (isset($_GET['hr_debut']))
    $hr_debut = $_GET['hr_debut']+0;
else
    $hr_debut = 8;

if (isset($_GET['nb_creneau']))
    $nb_creneau = $_GET['nb_creneau']+0;
else
    $nb_creneau = 11;

if (isset($_GET['nb_jour']))
    $nb_jour = $_GET['nb_jour']+0;
else
    $nb_jour = 6;

$largeur_im=$starty*2+$largeur_jr*$nb_jour;
$hauteur_im=$startx*2+$hauteur_qh*4*$nb_creneau;

$im = @imagecreate($largeur_im, $hauteur_im)
    or die("Impossible d'initialiser la bibliotheque GD");
$background_color = imagecolorallocate($im, 255, 255, 255);

$color_red= imagecolorallocate($im, 233,14,91);
$color_green=imagecolorallocate($im, 14,233,91);
$color_black=imagecolorallocate($im, 0,0,0);
$color_gray=imagecolorallocate($im, 100,100,100);
$text_color = imagecolorallocate($im, 0, 0, 0);

imagefilledrectangle($im, $starty, $startx, $starty+$largeur_jr*$nb_jour, $startx+4*$hauteur_qh*$nb_creneau, $color_red);

$stats_link = connexion_db_stats($config);
for($i = 0; $i < $nb_jour; $i++)
{
	$date_tmp=date("Y-m-d",strtotime($date_start)+$i*86400);
	$tab=get_stats_poste_date($stats_link,$netbios_name,$date_tmp);
	for ($ii=0; $ii<4; $ii++)
	{
		for ($jj=0; $jj<$nb_creneau; $jj++)
		{
			if ($tab[$jj+$hr_debut][$ii]=="1")
				imagefilledrectangle($im, $starty+$largeur_jr*$i, $startx+($jj*4+$ii)*$hauteur_qh, $starty+$largeur_jr*($i+1), $startx+($jj*4+1+$ii)*$hauteur_qh, $color_green);
		}
	}	
}
deconnexion_db_stats($stats_link);

imageline($im, $starty,$startx,$starty+$largeur_jr*$nb_jour,$startx,$color_black);
imagestring($im, 1, $starty-20, $startx, $hr_debut."h", $text_color);

for ($i=1; $i<=$nb_creneau; $i++)
{
	imagestring($im, 1, $starty-20, $startx+($hauteur_qh*4)*$i, ($i+$hr_debut)."h", $text_color);
	imageline($im, $starty,$startx+($hauteur_qh*4)*$i,$starty+$largeur_jr*$nb_jour,$startx+($hauteur_qh*4)*$i,$color_black);
	//imageline($im, $starty,$startx+($hauteur_qh*4)*$i-$hauteur_qh,$starty+$largeur_jr*$nb_jour,$startx+($hauteur_qh*4)*$i-$hauteur_qh,$color_gray);
	//imageline($im, $starty,$startx+($hauteur_qh*4)*$i-$hauteur_qh*2,$starty+$largeur_jr*$nb_jour,$startx+($hauteur_qh*4)*$i-$hauteur_qh*2,$color_gray);
	//imageline($im, $starty,$startx+($hauteur_qh*4)*$i-$hauteur_qh*3,$starty+$largeur_jr*$nb_jour,$startx+($hauteur_qh*4)*$i-$hauteur_qh*3,$color_gray);
}
imageline($im, $starty,$startx,$starty,$startx+($hauteur_qh*4)*$nb_creneau,$color_black);
for ($i=1; $i<=$nb_jour; $i++)
{
        $ratio=round(($largeur_jr-strlen($jour[$i%7])*$largeur_chr)/2,0);
	imagestring($im, 1, $starty+$largeur_jr*($i-1)+$ratio, $startx-10, $jour[$i%7], $text_color);
	imageline($im, $starty+$largeur_jr*$i,$startx,$starty+$largeur_jr*$i,$startx+($hauteur_qh*4)*$nb_creneau,$color_black);
}

$titre="Poste ".$netbios_name;
$titre2="du ".date("d/m/Y",strtotime($date_start)+0*86400)." au ".date("d/m/Y",strtotime($date_start)+6*86400);
$len_titre=strlen($titre);
imagestring($im, 4, ($largeur_im-$len_titre*$largeur_chr2)/2, 5, $titre, $text_color);
$len_titre=strlen($titre2);
imagestring($im, 4, ($largeur_im-$len_titre*$largeur_chr2)/2, 20, $titre2, $text_color);

imagepng($im);
imagedestroy($im);

?>
