<?php

function connexion_db_stats($config)
{
    $link = mysqli_connect("localhost", "sambaedu", $config['sql_passwd'], "sambaedu");
    mysqli_set_charset($link, "utf8");
    return $link;
}

function deconnexion_db_stats($link)
{
    mysqli_close($link);
}


function get_stats_poste_date($link,$netbios_name,$date)
{
	$query = mysqli_prepare($link, "SELECT h00, h01, h02, h03, h04, h05, h06, h07, h08, h09, h10, h11, h12, h13, h14, h15, h16, h17, h18, h19, h20, h21, h22, h23 FROM connexions_stat WHERE netbios_name=? and date=?");
	mysqli_stmt_bind_param($query, "ss", $netbios_name,$date);
	mysqli_stmt_execute($query);
	mysqli_stmt_bind_result($query, $res_h00, $res_h01, $res_h02, $res_h03, $res_h04, $res_h05, $res_h06, $res_h07, $res_h08, $res_h09, $res_h10, $res_h11, $res_h12, $res_h13, $res_h14, $res_h15, $res_h16, $res_h17, $res_h18, $res_h19, $res_h20, $res_h21, $res_h22, $res_h23);
	mysqli_stmt_store_result($query);
	$num_rows = mysqli_stmt_num_rows($query);
	if ($num_rows != 0)
	{
		while (mysqli_stmt_fetch($query))
		{
			$tab=array(
					0 => sprintf( "%04d",decbin($res_h00)),
					1 => sprintf( "%04d",decbin($res_h01)),
					2 => sprintf( "%04d",decbin($res_h02)),
					3 => sprintf( "%04d",decbin($res_h03)),
					4 => sprintf( "%04d",decbin($res_h04)),
					5 => sprintf( "%04d",decbin($res_h05)),
					6 => sprintf( "%04d",decbin($res_h06)),
					7 => sprintf( "%04d",decbin($res_h07)),
					8 => sprintf( "%04d",decbin($res_h08)),
					9 => sprintf( "%04d",decbin($res_h09)),
					10 => sprintf( "%04d",decbin($res_h10)),
					11 => sprintf( "%04d",decbin($res_h11)),
					12 => sprintf( "%04d",decbin($res_h12)),
					13 => sprintf( "%04d",decbin($res_h13)),
					14 => sprintf( "%04d",decbin($res_h14)),
					15 => sprintf( "%04d",decbin($res_h15)),
					16 => sprintf( "%04d",decbin($res_h16)),
					17 => sprintf( "%04d",decbin($res_h17)),
					18 => sprintf( "%04d",decbin($res_h18)),
					19 => sprintf( "%04d",decbin($res_h19)),
					20 => sprintf( "%04d",decbin($res_h20)),
					21 => sprintf( "%04d",decbin($res_h21)),
					22 => sprintf( "%04d",decbin($res_h22)),
					23 => sprintf( "%04d",decbin($res_h23)));
		}
	}
	else
	{
		$tab=array(
					0 => sprintf( "%04d",decbin(0)),
					1 => sprintf( "%04d",decbin(0)),
					2 => sprintf( "%04d",decbin(0)),
					3 => sprintf( "%04d",decbin(0)),
					4 => sprintf( "%04d",decbin(0)),
					5 => sprintf( "%04d",decbin(0)),
					6 => sprintf( "%04d",decbin(0)),
					7 => sprintf( "%04d",decbin(0)),
					8 => sprintf( "%04d",decbin(0)),
					9 => sprintf( "%04d",decbin(0)),
					10 => sprintf( "%04d",decbin(0)),
					11 => sprintf( "%04d",decbin(0)),
					12 => sprintf( "%04d",decbin(0)),
					13 => sprintf( "%04d",decbin(0)),
					14 => sprintf( "%04d",decbin(0)),
					15 => sprintf( "%04d",decbin(0)),
					16 => sprintf( "%04d",decbin(0)),
					17 => sprintf( "%04d",decbin(0)),
					18 => sprintf( "%04d",decbin(0)),
					19 => sprintf( "%04d",decbin(0)),
					20 => sprintf( "%04d",decbin(0)),
					21 => sprintf( "%04d",decbin(0)),
					22 => sprintf( "%04d",decbin(0)),
					23 => sprintf( "%04d",decbin(0)));
	}
	mysqli_stmt_close($query);
	return $tab;
}


function get_list_netbios_name($link)
{
	$query = mysqli_prepare($link, "SELECT netbios_name FROM `connexions_stat` group by netbios_name ASC");
	mysqli_stmt_execute($query);
	mysqli_stmt_bind_result($query, $res_netbios_name);
	mysqli_stmt_store_result($query);
	$num_rows = mysqli_stmt_num_rows($query);
	$tab=array();
	if ($num_rows != 0)
	{
		while (mysqli_stmt_fetch($query))
		{
			$tab[]=$res_netbios_name;
		}
	}
	mysqli_stmt_close($query);
	return $tab;
}

function test($link)
{
	$query = mysqli_prepare($link, "SHOW COLUMNS FROM connexions where field='id'");
	mysqli_stmt_execute($query);
	mysqli_stmt_bind_result($query, $res_field, $res_type, $res_null, $res_key, $res_default, $res_extra);
	mysqli_stmt_store_result($query);
	$num_rows_check1 = mysqli_stmt_num_rows($query);
	mysqli_stmt_close($query);

	if ($num_rows_check1==1)
	{
			$query = mysqli_prepare($link, "SHOW COLUMNS FROM connexions where field='flag_stat'");
			mysqli_stmt_execute($query);
			mysqli_stmt_bind_result($query, $res_field, $res_type, $res_null, $res_key, $res_default, $res_extra);
			mysqli_stmt_store_result($query);
			$num_rows_check2 = mysqli_stmt_num_rows($query);
			mysqli_stmt_close($query);
		if ($num_rows_check2==1)
		{
			$query = mysqli_prepare($link, "SHOW TABLES WHERE Tables_in_sambaedu='connexions_stat'");
			mysqli_stmt_execute($query);
			mysqli_stmt_bind_result($query, $res_tables);
			mysqli_stmt_store_result($query);
			$num_rows_check3 = mysqli_stmt_num_rows($query);
			mysqli_stmt_close($query);
			if ($num_rows_check3==1)
			{
				$return=1;
			}
			else
			{
				$update_query = mysqli_prepare($link, "CREATE TABLE `connexions_stat` (
													  `id_connexions_stat` bigint(20) NOT NULL AUTO_INCREMENT PRIMARY KEY,
													  `netbios_name` varchar(15) NOT NULL,
													  `date` date NOT NULL,
													  `h00` bit(4) NOT NULL DEFAULT b'0',
													  `h01` bit(4) NOT NULL DEFAULT b'0',
													  `h02` bit(4) NOT NULL DEFAULT b'0',
													  `h03` bit(4) NOT NULL DEFAULT b'0',
													  `h04` bit(4) NOT NULL DEFAULT b'0',
													  `h05` bit(4) NOT NULL DEFAULT b'0',
													  `h06` bit(4) NOT NULL DEFAULT b'0',
													  `h07` bit(4) NOT NULL DEFAULT b'0',
													  `h08` bit(4) NOT NULL DEFAULT b'0',
													  `h09` bit(4) NOT NULL DEFAULT b'0',
													  `h10` bit(4) NOT NULL DEFAULT b'0',
													  `h11` bit(4) NOT NULL DEFAULT b'0',
													  `h12` bit(4) NOT NULL DEFAULT b'0',
													  `h13` bit(4) NOT NULL DEFAULT b'0',
													  `h14` bit(4) NOT NULL DEFAULT b'0',
													  `h15` bit(4) NOT NULL DEFAULT b'0',
													  `h16` bit(4) NOT NULL DEFAULT b'0',
													  `h17` bit(4) NOT NULL DEFAULT b'0',
													  `h18` bit(4) NOT NULL DEFAULT b'0',
													  `h19` bit(4) NOT NULL DEFAULT b'0',
													  `h20` bit(4) NOT NULL DEFAULT b'0',
													  `h21` bit(4) NOT NULL DEFAULT b'0',
													  `h22` bit(4) NOT NULL DEFAULT b'0',
													  `h23` bit(4) NOT NULL DEFAULT b'0'
													) ENGINE=InnoDB DEFAULT CHARSET=utf8;");
				mysqli_stmt_execute($update_query);
				mysqli_stmt_close($update_query);
				$update_query = mysqli_prepare($link, "ALTER TABLE `connexions_stat` ADD UNIQUE KEY `netbios_name` (`netbios_name`,`date`);");
				mysqli_stmt_execute($update_query);
				mysqli_stmt_close($update_query);
				$return=0;
			}
		}
		else
		{
			$update_query = mysqli_prepare($link, "ALTER TABLE `connexions` ADD `flag_stat` TINYINT(1) NOT NULL DEFAULT '0';");
			mysqli_stmt_execute($update_query);
			mysqli_stmt_close($update_query);
			$return=0;
		}
	}
	else
	{
		$return=0;
	}
	return $return;
}

?>
